"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const Thumbnail_1 = __importDefault(require("../../../../../../elements/Thumbnail"));
const Config_1 = require("../../../../../../utilities/Config");
require("./index.scss");
const baseClass = 'upload-cell';
const UploadCell = ({ rowData, cellData, collection }) => {
    const { routes: { admin } } = (0, Config_1.useConfig)();
    return (react_1.default.createElement(react_router_dom_1.Link, { className: baseClass, to: `${admin}/collections/${collection.slug}/${rowData.id}` },
        react_1.default.createElement(Thumbnail_1.default, { size: "small", doc: {
                ...rowData,
                filename: cellData,
            }, collection: collection }),
        react_1.default.createElement("span", { className: `${baseClass}__filename` }, String(cellData))));
};
exports.default = UploadCell;
//# sourceMappingURL=index.js.map