"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const types_1 = require("../../../../../fields/config/types");
const Upload_1 = __importDefault(require("./Cell/field-types/Upload"));
const formatFields = (config, t) => {
    const hasID = config.fields.findIndex((field) => (0, types_1.fieldAffectsData)(field) && field.name === 'id') > -1;
    const fields = config.fields.reduce((formatted, field) => {
        var _a, _b, _c, _d;
        if (!(0, types_1.fieldIsPresentationalOnly)(field) && (field.hidden === true || ((_a = field === null || field === void 0 ? void 0 : field.admin) === null || _a === void 0 ? void 0 : _a.disabled) === true)) {
            return formatted;
        }
        if (config.upload && (0, types_1.fieldAffectsData)(field) && field.name === 'filename') {
            const Cell = (props) => (react_1.default.createElement(Upload_1.default, { collection: config, ...props }));
            return [
                ...formatted,
                {
                    ...field,
                    admin: {
                        ...field.admin,
                        components: {
                            ...((_b = field.admin) === null || _b === void 0 ? void 0 : _b.components) || {},
                            Cell: ((_d = (_c = field.admin) === null || _c === void 0 ? void 0 : _c.components) === null || _d === void 0 ? void 0 : _d.Cell) || Cell,
                        },
                    },
                },
            ];
        }
        return [
            ...formatted,
            field,
        ];
    }, hasID ? [] : [{
            name: 'id',
            label: 'ID',
            type: 'text',
            admin: {
                disableBulkEdit: true,
            },
        }]);
    if (config.timestamps) {
        fields.push({
            name: 'createdAt',
            label: t('general:createdAt'),
            type: 'date',
            admin: {
                disableBulkEdit: true,
            },
        }, {
            name: 'updatedAt',
            label: t('general:updatedAt'),
            type: 'date',
            admin: {
                disableBulkEdit: true,
            },
        });
    }
    return fields;
};
exports.default = formatFields;
//# sourceMappingURL=formatFields.js.map